package ru.yandex.wmconsole.data.info;

import org.joda.time.DateTime;

/**
 * @author avhaliullin
 */
public class DNSVerificationInfo {
    private final DateTime lastTryAt;
    private final DateTime requestedAt;
    private final DateTime nextTryAt;

    public DNSVerificationInfo(DateTime lastTryAt, DateTime requestedAt, DateTime nextTryAt) {
        this.lastTryAt = lastTryAt;
        this.requestedAt = requestedAt;
        this.nextTryAt = nextTryAt;
    }

    public DateTime getLastTryAt() {
        return lastTryAt;
    }

    public DateTime getRequestedAt() {
        return requestedAt;
    }

    public DateTime getNextTryAt() {
        return nextTryAt;
    }
}
